#ifndef COLORPALETTE_H
#define COLORPALETTE_H

#include <qstring.h>
#include <qpe/resource.h>

#include "constants.h"

class QSize;
class QColor;
class QImage;
class Settings;

class ColorPalette {

  uint width, height;

public:
  static const uint length = 20;
  static const uint16 init_colors[length];

private:
  static QArray<uint16> colors;
  static QArray<bool> changeds;
  static QImage img;
  static Settings *settings;

public:
  ColorPalette(int = 0, int = 0);
  ~ColorPalette(void);

  static const QString Filename;

  static void setSettings(Settings *);
  void setImage(const QString &str);
  void setColors(const uint16* = init_colors);
  void setChangeds(const bool* = 0);
  QSize size(void);
  QColor getColor(uint, uint = 0);
  QArray<uint16> getColors(void);
  static uint getLength(void) {return length;};
  uint getIndex(uint x, uint y = 0);
  void setChanged(uint i, bool f);

  void infoImage(uint16*);
  void setColor(uint, uint16);
  void setColor(uint, uint, uint16);
  
};

#endif		//  COLORPALETTE_H
