#ifndef FILEDIALOGQT_H
#define FILEDIALOGQT_H

#include <qdialog.h>
#include <qhbox.h>
#include <qvbox.h>
#include <qdir.h>
#include <qfileinfo.h>
#include <qlistbox.h>
#include <qlineedit.h>
#include <qstring.h>

#include "filedialog.h"

class FileDialogQt : public QDialog,
                     public FileDialog {
  Q_OBJECT

private:
  QVBox *box;
  QListBox *flist;
  QLineEdit *fedit, *fdir;
  static QFileInfo fileinfo;

public://construct/destruct
  FileDialogQt(const char *name = 0, bool input = TRUE,const QString &path = QString::null);
  ~FileDialogQt();

public://public function
  QString filePath(void);
  
  bool exec(void) {return QDialog::exec();};
  bool close(bool f) {return QDialog::close(f);};
  
protected://protected function
  void set_flist();
  bool eventFilter( QObject *pObject, QEvent *pEvent ); //overwrite

protected slots://protected slots?
  virtual void accept();                                //overwrite
  
public slots://public slots
  void select_file( const QString & );
  void set_editEnd();
};

#endif		// FILEDIALOGQT_H
