#ifndef FILEDIALOGSL_H
#define FILEDIALOGSL_H

#include <qfileinfo.h>
#include <qstring.h>

#include "filedialog.h"

#ifdef SHARPSL

#include <sl/slfiledialog.h>

class FileDialogSl : public SlFileDialog,
                     public FileDialog {

public://construct/destruct
  FileDialogSl(const char *name = 0, bool input = TRUE,const QString &path = QString::null);
  ~FileDialogSl();
public://public function
  QString filePath(void);
  
  bool exec(void) {return SlFileDialog::exec();};
  bool close(bool f) {return SlFileDialog::close(f);};
};

////////////////////////////////////////////////////////////
#else		// SHARPSL
class FileDialogSl : public FileDialog {
    
public:
  FileDialogSl(const char *name = 0, bool input = TRUE,const QString &path = QString::null);
  bool exec(void) {return false;};
  bool close(bool) {return false;};
  QString filePath(void);
};

#endif		// SHARPSL

#endif		// FILEDIALOGSL_H
